%global bundle org.apache.felix.configadmin

Name:          felix-configadmin
Version:       1.2.8
Release:       %mkrel 2
Summary:       Apache Felix Configuration Admin Service
Group:         Development/Java
License:       ASL 2.0
Url:           http://felix.apache.org/
Source0:       http://www.apache.org/dist/felix/%{bundle}-%{version}-project.tar.gz
# remove Pax Exam
Patch0:        felix-configadmin-1.2.8-pom.patch

Patch1:        felix-configadmin-1.2.8-bundle-plugin-conf.patch

BuildRequires: felix-parent
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: ant

BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

BuildRequires: felix-osgi-compendium
BuildRequires: felix-osgi-core
BuildRequires: junit4

Requires:      jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Implementation of the OSGi Configuration Admin Service Specification 1.2.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}
%patch0 -p0
%patch1 -p0

%build
# test require Pax Exam
mvn-rpmbuild -Dmaven.test.skip=true -Dproject.build.sourceEncoding=UTF-8 install javadoc:aggregate
%install

install -d -m 0755 %{buildroot}%{_javadir}/felix
install -m 644 target/%{bundle}-%{version}.jar \
  %{buildroot}%{_javadir}/felix/%{bundle}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.felix-%{bundle}.pom
%add_maven_depmap JPP.felix-%{bundle}.pom felix/%{bundle}.jar

install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%files
%{_javadir}/felix/%{bundle}.jar
%{_mavenpomdir}/JPP.felix-%{bundle}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE NOTICE

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.2.8-2.mga3
+ Revision: 350101
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 24 2012 dmorgan <dmorgan> 1.2.8-1.mga3
+ Revision: 263324
- Clean spec file

  + gil <gil>
    - update to 1.2.8
    - imported package felix-configadmin

